//******************************************************************************//
//																				//
//		Project	:	Quad Copter													//
//		Device	:	PSoC 4														//
//		Version :	0.0															//
//		Date	:	March 2014													//
//		Author(s)	Bob Marlowe													//
//																				//
//******************************************************************************//

//******************************************************************************//
//																				//
//	The job of DeMPX is to take the incoming sum-signal from the rc and get		//
//	the transmitted value for each channel.										//
//	Signal Standard looks as:													//
//	300ms sync pulse, the for each channel a 1 to 2ms pulse. 1ms is rightmost	//
//	position or motor off, 2ms is leftmost position or motor full power			//
//																				//
//******************************************************************************//

#ifndef DeMPX_h
#define DeMPX_h

//******************************************************************************//
//********************* Libraries **********************************************//
//******************************************************************************//
#include <CyLib.h>

//******************************************************************************//
//********************* Definitions & Macros ***********************************//
//******************************************************************************//
#define NumberOfChannels	6				// Adapt for max Channel Number of RC
	

//******************************************************************************//
//********************* Data Area **********************************************//
//******************************************************************************//
extern uint16 Channel[NumberOfChannels];	// Decoded channel values from RC
extern uint8 MPX_SignalLost;				// No Signal detected indicator

//******************************************************************************//
//********************* APIs ***************************************************//
//******************************************************************************//
void MPX_Start(void);						// Start the De-Multiplexer

void MPX_Stop(void);						// Stop it
	
#endif
