//******************************************************************************//
//																				//
//		Project	:	Quad Copter													//
//		Device	:	PSoC 4														//
//		Version :	0.0															//
//		Date	:	March 2014													//
//		Author(s)	Bob Marlowe													//
//																				//
//******************************************************************************//
#ifndef Motors_h
#define Motors_h

#include <GlobalDefs.h>
	
enum MotorNumber {MFront, MRear, MLeft,MRight};	
	
//******************************************************************************//
//********************* APIs ***************************************************//
//******************************************************************************//

//******************* Setup all motors with speed 0*****************************//
void Motors_Start(void);
	
//********* Set speed from 0 to 100 percent power ******************************//
void SetMotSpeed(enum MotorNumber MotNo, uint8 Percent);

//********* Transmits the speed set to the motors ******************************//
//********* must be called regularly @ 20ms ************************************//
void UpdateAllMotors(void);

	
#endif

